com.google.gwt.core.ext.typeinfo

## Enum JWildcardType.BoundType

- java.lang.Object
- - java.lang.Enum<JWildcardType.BoundType>
  - - com.google.gwt.core.ext.typeinfo.JWildcardType.BoundType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JWildcardType.BoundType>
  Enclosing interface:
    JWildcardType

      public static enum JWildcardType.BoundType
      extends java.lang.Enum<JWildcardType.BoundType>

  Type of wildcard bound.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXTENDS` Used when the declaration explicitly used ? extends Type.
    `SUPER` Used when the declaration explicitly used ? super Type.
    `UNBOUND` Used when the declaration did not specify a bound.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JWildcardType.BoundType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JWildcardType.BoundType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXTENDS

          public static final JWildcardType.BoundType EXTENDS

      Used when the declaration explicitly used ? extends Type.

    - #### SUPER

          public static final JWildcardType.BoundType SUPER

      Used when the declaration explicitly used ? super Type.

    - #### UNBOUND

          public static final JWildcardType.BoundType UNBOUND

      Used when the declaration did not specify a bound.

  - ### Method Detail

    - #### values

          public static JWildcardType.BoundType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JWildcardType.BoundType c : JWildcardType.BoundType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JWildcardType.BoundType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null